Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Completions

List
GET /taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
https://api.relesysapp.net/api/v1.4/taskmanagementmodules/{moduleId}/tasks/{taskId}/completions
Get a list of task completions.

Default sort is by lastModifiedDateTime in descending order.

areaDepartmentId will be populated only when task's assignee type is "ByDepartmentType".
Scopes: relesys.api, relesys.api:read, relesys.api.taskmanagement, relesys.api.taskmanagement:read
URL Path
moduleId string / guid The module's unique identifier required
taskId string / guid The task's unique identifier required
Query String
areaDepartmentId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
departmentId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
serviceFormFillingId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c278a23c-39d8-4e3a-bcd5-0838589d2b75","userId":"294ef439-b316-4e14-84c0-e32fe0e0fe93","departmentId":"b8908da0-c92d-4644-a829-3d8ad53eb47c","areaDepartmentId":"27af88b0-bb85-4ad4-9e26-fb0ad4f5946b","serviceFormFillingId":"22a8af65-cc85-4df9-a843-75302cd07bae","creationDateTime":"2026-11-19T20:41:38.0468949+00:00","lastModifiedDateTime":"2026-11-19T20:41:38.0468949+00:00"},{"id":"c39ba805-61b5-49c6-8aa3-54a0f18cae2e","userId":"2178a2dc-3f2b-4a88-b949-b645bd9ca8e7","departmentId":"724c02a6-302d-4164-b072-00ff15958da3","areaDepartmentId":null,"serviceFormFillingId":null,"creationDateTime":"2026-11-18T20:41:38.0468949+00:00","lastModifiedDateTime":"2026-11-19T20:41:38.0468949+00:00"}]}
object
  count integer      
  ⯈ data array[object]      
   areaDepartmentId string / guid      
   creationDateTime datetimeoffset      
   departmentId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   serviceFormFillingId string / guid      
   userId string / guid      
  nextUrl string      
  previousUrl string